ApiA P I Keys
Revoke an API key
Immediately revokes an API key. Any subsequent requests using this key will receive `401 Unauthorized`. Requires OAuth2 Bearer token.
Immediately revokes an API key. Any subsequent requests using this key will receive 401 Unauthorized.
Requires OAuth2 Bearer token.
Authorization
oauth2 AuthorizationBearer <token>
OAuth2 Authorization Code flow. Used for dashboard-integrated flows and API key management endpoints.
In: header
Path Parameters
id*string
UUID of the API key to revoke.
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/settings/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"status": 401,
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"timestamp": "2026-05-17T12:00:00Z",
"path": "/public/v1/job-listings"
}{
"status": 404,
"error": "NOT_FOUND",
"message": "Job listing not found",
"timestamp": "2026-05-17T12:00:00Z",
"path": "/public/v1/job-listings/00000000-0000-0000-0000-000000000000"
}